import request from '@/utils/request'

// 查询普通用户信息列表
export function listSmUser(query) {
  return request({
    url: '/system/smUser/list',
    method: 'get',
    params: query
  })
}


// ids查询普通用户信息列表
export function listSmUserByIds(ids) {
  return request({
    url: `/system/smUser/listByIds/${ids}`,
    method: 'get',
  })
}

// 查询普通用户信息详细
export function getSmUser(userId) {
  return request({
    url: '/system/smUser/' + userId,
    method: 'get'
  })
}

// 新增普通用户信息
export function addSmUser(data) {
  return request({
    url: '/system/smUser',
    method: 'post',
    data: data
  })
}

// 修改普通用户信息
export function updateSmUser(data) {
  return request({
    url: '/system/smUser',
    method: 'put',
    data: data
  })
}

// 删除普通用户信息
export function delSmUser(userId) {
  return request({
    url: '/system/smUser/' + userId,
    method: 'delete'
  })
}

// 重置用户服务费
export function resetSmUserService(userId) {
  return request({
    url: `/system/smUser/${userId}/resetService`,
    method: 'put'
  })
}

// 重置用户实名认证
export function resetSmUserRealName(userId) {
  return request({
    url: `/system/smUser/${userId}/resetRealName`,
    method: 'put'
  })
}
